<refentry id="methodsynopsis.element" revision='4.0'>
<?dbhtml filename="methodsynopsis.html"?>
<refentryinfo>
<pubdate>$Date: 2003-12-23 23:16:10 +0800 (Tue, 23 Dec 2003) $</pubdate>
<releaseinfo>$Revision: 3320 $</releaseinfo>
</refentryinfo>

<refmeta>
<indexterm><primary>elements</primary>
<secondary>methodsynopsis</secondary></indexterm>
<refentrytitle>methodsynopsis</refentrytitle>
<refmiscinfo>Element</refmiscinfo>
</refmeta>
<refnamediv>
<refname>methodsynopsis</refname>
<refpurpose>&methodsynopsis.purpose;</refpurpose>
</refnamediv>

&methodsynopsis.synopsis.gen;
<refsect1 condition='ref.description'><title>Description</title>

<para>
A <sgmltag>MethodSynopsis</sgmltag> contains the syntax summary of a
method (generally speaking, methods in the object-oriented programming
language sense).
</para>

<para>
This is one of the few places where DocBook attempts to model as well
as describe. Unlike <sgmltag>FuncSynopsis</sgmltag> which was designed
with C language function prototypes in mind, the content model of
<sgmltag>MethodSynopsis</sgmltag> was designed to capture a wide range
of semantics.</para>

<refsect2><title>Processing expectations</title>
<para>
For the most part, the processing application is expected to
generate all of the parenthesis, semicolons, commas,
and so on. required in the rendered synopsis.
</para>
</refsect2>

&methodsynopsis.parents.gen;
&methodsynopsis.children.gen;
</refsect1>

<refsect1 condition='ref.elem.attrdesc'><title>Attributes</title>
<variablelist>
<varlistentry><term>language</term>
<listitem>
<para>Identifies the programming language of the method.</para>
</listitem>
</varlistentry>
</variablelist>
</refsect1>
</refentry>

